Index: DCWoRMS/trunk/src/test/article2/recs/data/executiveness_data.properties
===================================================================
--- DCWoRMS/trunk/src/test/article2/recs/data/executiveness_data.properties	(revision 827)
+++ DCWoRMS/trunk/src/test/article2/recs/data/executiveness_data.properties	(revision 827)
@@ -0,0 +1,4 @@
+test.hostname.freq.cores.equals.power
+c_ray.Intel_i7=true
+pybench.Intel_i7=true
+unpack_linux.Intel_i7=true
Index: DCWoRMS/trunk/src/test/article2/recs/data/power_data.properties
===================================================================
--- DCWoRMS/trunk/src/test/article2/recs/data/power_data.properties	(revision 827)
+++ DCWoRMS/trunk/src/test/article2/recs/data/power_data.properties	(revision 827)
@@ -0,0 +1,196 @@
+app.hostname.freq.load.equals.power
+c_ray.Intel_i7.1200.0.125=18.7
+c_ray.Intel_i7.1200.0.25=17.1
+c_ray.Intel_i7.1200.0.5=20.6
+c_ray.Intel_i7.1200.0.75=23.85
+c_ray.Intel_i7.1200.1.0=26
+c_ray.Intel_i7.1300.0.125=18.85
+c_ray.Intel_i7.1300.0.25=20.05
+c_ray.Intel_i7.1300.0.5=23
+c_ray.Intel_i7.1300.0.75=23.25
+c_ray.Intel_i7.1300.1.0=26.7
+c_ray.Intel_i7.1400.0.125=17.4
+c_ray.Intel_i7.1400.0.25=17.65
+c_ray.Intel_i7.1400.0.5=21.65
+c_ray.Intel_i7.1400.0.75=25.1
+c_ray.Intel_i7.1400.1.0=27.95
+c_ray.Intel_i7.1500.0.125=18.7
+c_ray.Intel_i7.1500.0.25=18.9
+c_ray.Intel_i7.1500.0.5=23.6
+c_ray.Intel_i7.1500.0.75=25.35
+c_ray.Intel_i7.1500.1.0=28.5
+c_ray.Intel_i7.1600.0.125=19.55
+c_ray.Intel_i7.1600.0.25=19.75
+c_ray.Intel_i7.1600.0.5=23.95
+c_ray.Intel_i7.1600.0.75=27.4
+c_ray.Intel_i7.1600.1.0=29.45
+c_ray.Intel_i7.1700.0.125=18.25
+c_ray.Intel_i7.1700.0.25=20.2
+c_ray.Intel_i7.1700.0.5=22.6
+c_ray.Intel_i7.1700.0.75=28.8
+c_ray.Intel_i7.1700.1.0=30.7
+c_ray.Intel_i7.1800.0.125=17.25
+c_ray.Intel_i7.1800.0.25=20.05
+c_ray.Intel_i7.1800.0.5=22.6
+c_ray.Intel_i7.1800.0.75=27.1
+c_ray.Intel_i7.1800.1.0=30.9
+c_ray.Intel_i7.1900.0.125=17.5
+c_ray.Intel_i7.1900.0.25=22.4
+c_ray.Intel_i7.1900.0.5=23.3
+c_ray.Intel_i7.1900.0.75=27.75
+c_ray.Intel_i7.1900.1.0=32.35
+c_ray.Intel_i7.2000.0.125=18.5
+c_ray.Intel_i7.2000.0.25=18.2
+c_ray.Intel_i7.2000.0.5=22.8
+c_ray.Intel_i7.2000.0.75=28.1
+c_ray.Intel_i7.2000.1.0=33.65
+c_ray.Intel_i7.2100.0.125=18.85
+c_ray.Intel_i7.2100.0.25=19
+c_ray.Intel_i7.2100.0.5=16.15
+c_ray.Intel_i7.2100.0.75=27
+c_ray.Intel_i7.2100.1.0=33
+c_ray.Intel_i7.2200.0.125=17
+c_ray.Intel_i7.2200.0.25=21.3
+c_ray.Intel_i7.2200.0.5=22.15
+c_ray.Intel_i7.2200.0.75=30.85
+c_ray.Intel_i7.2200.1.0=35.2
+c_ray.Intel_i7.2300.0.125=19.7
+c_ray.Intel_i7.2300.0.25=21.15
+c_ray.Intel_i7.2300.0.5=27.8
+c_ray.Intel_i7.2300.0.75=33
+c_ray.Intel_i7.2300.1.0=35.75
+c_ray.Intel_i7.2301.0.125=23.1
+c_ray.Intel_i7.2301.0.25=23.9
+c_ray.Intel_i7.2301.0.5=39.65
+c_ray.Intel_i7.2301.0.75=46
+c_ray.Intel_i7.2301.1.0=57.05
+pybench.Intel_i7.1200.0.125=18.6
+pybench.Intel_i7.1200.0.25=18.55
+pybench.Intel_i7.1200.0.5=18.45
+pybench.Intel_i7.1200.0.75=18.45
+pybench.Intel_i7.1200.1.0=18.65
+pybench.Intel_i7.1300.0.125=18.8
+pybench.Intel_i7.1300.0.25=18.9
+pybench.Intel_i7.1300.0.5=19.1
+pybench.Intel_i7.1300.0.75=19.25
+pybench.Intel_i7.1300.1.0=19.35
+pybench.Intel_i7.1400.0.125=19.2
+pybench.Intel_i7.1400.0.25=19.45
+pybench.Intel_i7.1400.0.5=18.8
+pybench.Intel_i7.1400.0.75=19.3
+pybench.Intel_i7.1400.1.0=18.95
+pybench.Intel_i7.1500.0.125=19.25
+pybench.Intel_i7.1500.0.25=19.7
+pybench.Intel_i7.1500.0.5=19.55
+pybench.Intel_i7.1500.0.75=19.35
+pybench.Intel_i7.1500.1.0=19.3
+pybench.Intel_i7.1600.0.125=20
+pybench.Intel_i7.1600.0.25=19.75
+pybench.Intel_i7.1600.0.5=19.9
+pybench.Intel_i7.1600.0.75=19.55
+pybench.Intel_i7.1600.1.0=19.75
+pybench.Intel_i7.1700.0.125=20
+pybench.Intel_i7.1700.0.25=20.3
+pybench.Intel_i7.1700.0.5=20.2
+pybench.Intel_i7.1700.0.75=20.1
+pybench.Intel_i7.1700.1.0=20.35
+pybench.Intel_i7.1800.0.125=20.5
+pybench.Intel_i7.1800.0.25=20.15
+pybench.Intel_i7.1800.0.5=20.7
+pybench.Intel_i7.1800.0.75=20.25
+pybench.Intel_i7.1800.1.0=20.15
+pybench.Intel_i7.1900.0.125=20.6
+pybench.Intel_i7.1900.0.25=20.25
+pybench.Intel_i7.1900.0.5=20.45
+pybench.Intel_i7.1900.0.75=20.75
+pybench.Intel_i7.1900.1.0=20.6
+pybench.Intel_i7.2000.0.125=20.7
+pybench.Intel_i7.2000.0.25=20.95
+pybench.Intel_i7.2000.0.5=21.05
+pybench.Intel_i7.2000.0.75=21.35
+pybench.Intel_i7.2000.1.0=20.85
+pybench.Intel_i7.2100.0.125=21.5
+pybench.Intel_i7.2100.0.25=21.25
+pybench.Intel_i7.2100.0.5=21.25
+pybench.Intel_i7.2100.0.75=20.85
+pybench.Intel_i7.2100.1.0=20.8
+pybench.Intel_i7.2200.0.125=21.2
+pybench.Intel_i7.2200.0.25=21.4
+pybench.Intel_i7.2200.0.5=21.45
+pybench.Intel_i7.2200.0.75=21.1
+pybench.Intel_i7.2200.1.0=21.25
+pybench.Intel_i7.2300.0.125=21.95
+pybench.Intel_i7.2300.0.25=21.65
+pybench.Intel_i7.2300.0.5=22.05
+pybench.Intel_i7.2300.0.75=21.85
+pybench.Intel_i7.2300.1.0=21.75
+pybench.Intel_i7.2301.0.125=29.85
+pybench.Intel_i7.2301.0.25=29.9
+pybench.Intel_i7.2301.0.5=30.45
+pybench.Intel_i7.2301.0.75=30.85
+pybench.Intel_i7.2301.1.0=30.15
+unpack_linux.Intel_i7.1200.0.125=16.5
+unpack_linux.Intel_i7.1200.0.25=17.1
+unpack_linux.Intel_i7.1200.0.5=16.65
+unpack_linux.Intel_i7.1200.0.75=16.65
+unpack_linux.Intel_i7.1200.1.0=14.25
+unpack_linux.Intel_i7.1300.0.125=16.7
+unpack_linux.Intel_i7.1300.0.25=16.4
+unpack_linux.Intel_i7.1300.0.5=17.1
+unpack_linux.Intel_i7.1300.0.75=16.25
+unpack_linux.Intel_i7.1300.1.0=16.6
+unpack_linux.Intel_i7.1400.0.125=16.45
+unpack_linux.Intel_i7.1400.0.25=16.7
+unpack_linux.Intel_i7.1400.0.5=16.7
+unpack_linux.Intel_i7.1400.0.75=16.25
+unpack_linux.Intel_i7.1400.1.0=17.65
+unpack_linux.Intel_i7.1500.0.125=16.25
+unpack_linux.Intel_i7.1500.0.25=16.25
+unpack_linux.Intel_i7.1500.0.5=16.6
+unpack_linux.Intel_i7.1500.0.75=17.3
+unpack_linux.Intel_i7.1500.1.0=17.6
+unpack_linux.Intel_i7.1600.0.125=17.2
+unpack_linux.Intel_i7.1600.0.25=16.5
+unpack_linux.Intel_i7.1600.0.5=17.15
+unpack_linux.Intel_i7.1600.0.75=17.05
+unpack_linux.Intel_i7.1600.1.0=16.65
+unpack_linux.Intel_i7.1700.0.125=16.35
+unpack_linux.Intel_i7.1700.0.25=16.55
+unpack_linux.Intel_i7.1700.0.5=16.6
+unpack_linux.Intel_i7.1700.0.75=15.9
+unpack_linux.Intel_i7.1700.1.0=17.05
+unpack_linux.Intel_i7.1800.0.125=16.35
+unpack_linux.Intel_i7.1800.0.25=16.5
+unpack_linux.Intel_i7.1800.0.5=16.8
+unpack_linux.Intel_i7.1800.0.75=17.1
+unpack_linux.Intel_i7.1800.1.0=16.65
+unpack_linux.Intel_i7.1900.0.125=16.35
+unpack_linux.Intel_i7.1900.0.25=16.35
+unpack_linux.Intel_i7.1900.0.5=16.15
+unpack_linux.Intel_i7.1900.0.75=17
+unpack_linux.Intel_i7.1900.1.0=17.4
+unpack_linux.Intel_i7.2000.0.125=16.6
+unpack_linux.Intel_i7.2000.0.25=17.25
+unpack_linux.Intel_i7.2000.0.5=16.6
+unpack_linux.Intel_i7.2000.0.75=17
+unpack_linux.Intel_i7.2000.1.0=16.35
+unpack_linux.Intel_i7.2100.0.125=17.15
+unpack_linux.Intel_i7.2100.0.25=16.25
+unpack_linux.Intel_i7.2100.0.5=17
+unpack_linux.Intel_i7.2100.0.75=16.5
+unpack_linux.Intel_i7.2100.1.0=16.3
+unpack_linux.Intel_i7.2200.0.125=16.65
+unpack_linux.Intel_i7.2200.0.25=17
+unpack_linux.Intel_i7.2200.0.5=17.15
+unpack_linux.Intel_i7.2200.0.75=16.1
+unpack_linux.Intel_i7.2200.1.0=16.75
+unpack_linux.Intel_i7.2300.0.125=16.85
+unpack_linux.Intel_i7.2300.0.25=16.7
+unpack_linux.Intel_i7.2300.0.5=17
+unpack_linux.Intel_i7.2300.0.75=17
+unpack_linux.Intel_i7.2300.1.0=17.4
+unpack_linux.Intel_i7.2301.0.125=18.05
+unpack_linux.Intel_i7.2301.0.25=18.05
+unpack_linux.Intel_i7.2301.0.5=17.35
+unpack_linux.Intel_i7.2301.0.75=17.3
+unpack_linux.Intel_i7.2301.1.0=18.3
Index: DCWoRMS/trunk/src/test/article2/recs/data/time_data.properties
===================================================================
--- DCWoRMS/trunk/src/test/article2/recs/data/time_data.properties	(revision 827)
+++ DCWoRMS/trunk/src/test/article2/recs/data/time_data.properties	(revision 827)
@@ -0,0 +1,196 @@
+app.hostname.freq.load.equals.duration
+c_ray.Intel_i7.1200.0.125=300
+c_ray.Intel_i7.1200.0.25=300
+c_ray.Intel_i7.1200.0.5=300
+c_ray.Intel_i7.1200.0.75=300
+c_ray.Intel_i7.1200.1=300
+c_ray.Intel_i7.1300.0.125=300
+c_ray.Intel_i7.1300.0.25=300
+c_ray.Intel_i7.1300.0.5=300
+c_ray.Intel_i7.1300.0.75=300
+c_ray.Intel_i7.1300.1=300
+c_ray.Intel_i7.1400.0.125=300
+c_ray.Intel_i7.1400.0.25=300
+c_ray.Intel_i7.1400.0.5=300
+c_ray.Intel_i7.1400.0.75=300
+c_ray.Intel_i7.1400.1=300
+c_ray.Intel_i7.1500.0.125=300
+c_ray.Intel_i7.1500.0.25=300
+c_ray.Intel_i7.1500.0.5=300
+c_ray.Intel_i7.1500.0.75=300
+c_ray.Intel_i7.1500.1=300
+c_ray.Intel_i7.1600.0.125=300
+c_ray.Intel_i7.1600.0.25=300
+c_ray.Intel_i7.1600.0.5=300
+c_ray.Intel_i7.1600.0.75=300
+c_ray.Intel_i7.1600.1=300
+c_ray.Intel_i7.1700.0.125=300
+c_ray.Intel_i7.1700.0.25=300
+c_ray.Intel_i7.1700.0.5=300
+c_ray.Intel_i7.1700.0.75=300
+c_ray.Intel_i7.1700.1=300
+c_ray.Intel_i7.1800.0.125=300
+c_ray.Intel_i7.1800.0.25=300
+c_ray.Intel_i7.1800.0.5=300
+c_ray.Intel_i7.1800.0.75=300
+c_ray.Intel_i7.1800.1=300
+c_ray.Intel_i7.1900.0.125=300
+c_ray.Intel_i7.1900.0.25=300
+c_ray.Intel_i7.1900.0.5=300
+c_ray.Intel_i7.1900.0.75=300
+c_ray.Intel_i7.1900.1=300
+c_ray.Intel_i7.2000.0.125=300
+c_ray.Intel_i7.2000.0.25=300
+c_ray.Intel_i7.2000.0.5=300
+c_ray.Intel_i7.2000.0.75=300
+c_ray.Intel_i7.2000.1=300
+c_ray.Intel_i7.2100.0.125=300
+c_ray.Intel_i7.2100.0.25=300
+c_ray.Intel_i7.2100.0.5=300
+c_ray.Intel_i7.2100.0.75=300
+c_ray.Intel_i7.2100.1=300
+c_ray.Intel_i7.2200.0.125=300
+c_ray.Intel_i7.2200.0.25=300
+c_ray.Intel_i7.2200.0.5=300
+c_ray.Intel_i7.2200.0.75=300
+c_ray.Intel_i7.2200.1=300
+c_ray.Intel_i7.2300.0.125=300
+c_ray.Intel_i7.2300.0.25=300
+c_ray.Intel_i7.2300.0.5=300
+c_ray.Intel_i7.2300.0.75=300
+c_ray.Intel_i7.2300.1=300
+c_ray.Intel_i7.2301.0.125=300
+c_ray.Intel_i7.2301.0.25=300
+c_ray.Intel_i7.2301.0.5=300
+c_ray.Intel_i7.2301.0.75=300
+c_ray.Intel_i7.2301.1=300
+pybench.Intel_i7.1200.0.125=300
+pybench.Intel_i7.1200.0.25=300
+pybench.Intel_i7.1200.0.5=300
+pybench.Intel_i7.1200.0.75=300
+pybench.Intel_i7.1200.1=300
+pybench.Intel_i7.1300.0.125=300
+pybench.Intel_i7.1300.0.25=300
+pybench.Intel_i7.1300.0.5=300
+pybench.Intel_i7.1300.0.75=300
+pybench.Intel_i7.1300.1=300
+pybench.Intel_i7.1400.0.125=300
+pybench.Intel_i7.1400.0.25=300
+pybench.Intel_i7.1400.0.5=300
+pybench.Intel_i7.1400.0.75=300
+pybench.Intel_i7.1400.1=300
+pybench.Intel_i7.1500.0.125=300
+pybench.Intel_i7.1500.0.25=300
+pybench.Intel_i7.1500.0.5=300
+pybench.Intel_i7.1500.0.75=300
+pybench.Intel_i7.1500.1=300
+pybench.Intel_i7.1600.0.125=300
+pybench.Intel_i7.1600.0.25=300
+pybench.Intel_i7.1600.0.5=300
+pybench.Intel_i7.1600.0.75=300
+pybench.Intel_i7.1600.1=300
+pybench.Intel_i7.1700.0.125=300
+pybench.Intel_i7.1700.0.25=300
+pybench.Intel_i7.1700.0.5=300
+pybench.Intel_i7.1700.0.75=300
+pybench.Intel_i7.1700.1=300
+pybench.Intel_i7.1800.0.125=300
+pybench.Intel_i7.1800.0.25=300
+pybench.Intel_i7.1800.0.5=300
+pybench.Intel_i7.1800.0.75=300
+pybench.Intel_i7.1800.1=300
+pybench.Intel_i7.1900.0.125=300
+pybench.Intel_i7.1900.0.25=300
+pybench.Intel_i7.1900.0.5=300
+pybench.Intel_i7.1900.0.75=300
+pybench.Intel_i7.1900.1=300
+pybench.Intel_i7.2000.0.125=300
+pybench.Intel_i7.2000.0.25=300
+pybench.Intel_i7.2000.0.5=300
+pybench.Intel_i7.2000.0.75=300
+pybench.Intel_i7.2000.1=300
+pybench.Intel_i7.2100.0.125=300
+pybench.Intel_i7.2100.0.25=300
+pybench.Intel_i7.2100.0.5=300
+pybench.Intel_i7.2100.0.75=300
+pybench.Intel_i7.2100.1=300
+pybench.Intel_i7.2200.0.125=300
+pybench.Intel_i7.2200.0.25=300
+pybench.Intel_i7.2200.0.5=300
+pybench.Intel_i7.2200.0.75=300
+pybench.Intel_i7.2200.1=300
+pybench.Intel_i7.2300.0.125=300
+pybench.Intel_i7.2300.0.25=300
+pybench.Intel_i7.2300.0.5=300
+pybench.Intel_i7.2300.0.75=300
+pybench.Intel_i7.2300.1=300
+pybench.Intel_i7.2301.0.125=300
+pybench.Intel_i7.2301.0.25=300
+pybench.Intel_i7.2301.0.5=300
+pybench.Intel_i7.2301.0.75=300
+pybench.Intel_i7.2301.1=300
+unpack_linux.Intel_i7.1200.0.125=300
+unpack_linux.Intel_i7.1200.0.25=300
+unpack_linux.Intel_i7.1200.0.5=300
+unpack_linux.Intel_i7.1200.0.75=300
+unpack_linux.Intel_i7.1200.1=300
+unpack_linux.Intel_i7.1300.0.125=300
+unpack_linux.Intel_i7.1300.0.25=300
+unpack_linux.Intel_i7.1300.0.5=300
+unpack_linux.Intel_i7.1300.0.75=300
+unpack_linux.Intel_i7.1300.1=300
+unpack_linux.Intel_i7.1400.0.125=300
+unpack_linux.Intel_i7.1400.0.25=300
+unpack_linux.Intel_i7.1400.0.5=300
+unpack_linux.Intel_i7.1400.0.75=300
+unpack_linux.Intel_i7.1400.1=300
+unpack_linux.Intel_i7.1500.0.125=300
+unpack_linux.Intel_i7.1500.0.25=300
+unpack_linux.Intel_i7.1500.0.5=300
+unpack_linux.Intel_i7.1500.0.75=300
+unpack_linux.Intel_i7.1500.1=300
+unpack_linux.Intel_i7.1600.0.125=300
+unpack_linux.Intel_i7.1600.0.25=300
+unpack_linux.Intel_i7.1600.0.5=300
+unpack_linux.Intel_i7.1600.0.75=300
+unpack_linux.Intel_i7.1600.1=300
+unpack_linux.Intel_i7.1700.0.125=300
+unpack_linux.Intel_i7.1700.0.25=300
+unpack_linux.Intel_i7.1700.0.5=300
+unpack_linux.Intel_i7.1700.0.75=300
+unpack_linux.Intel_i7.1700.1=300
+unpack_linux.Intel_i7.1800.0.125=300
+unpack_linux.Intel_i7.1800.0.25=300
+unpack_linux.Intel_i7.1800.0.5=300
+unpack_linux.Intel_i7.1800.0.75=300
+unpack_linux.Intel_i7.1800.1=300
+unpack_linux.Intel_i7.1900.0.125=300
+unpack_linux.Intel_i7.1900.0.25=300
+unpack_linux.Intel_i7.1900.0.5=300
+unpack_linux.Intel_i7.1900.0.75=300
+unpack_linux.Intel_i7.1900.1=300
+unpack_linux.Intel_i7.2000.0.125=300
+unpack_linux.Intel_i7.2000.0.25=300
+unpack_linux.Intel_i7.2000.0.5=300
+unpack_linux.Intel_i7.2000.0.75=300
+unpack_linux.Intel_i7.2000.1=300
+unpack_linux.Intel_i7.2100.0.125=300
+unpack_linux.Intel_i7.2100.0.25=300
+unpack_linux.Intel_i7.2100.0.5=300
+unpack_linux.Intel_i7.2100.0.75=300
+unpack_linux.Intel_i7.2100.1=300
+unpack_linux.Intel_i7.2200.0.125=300
+unpack_linux.Intel_i7.2200.0.25=300
+unpack_linux.Intel_i7.2200.0.5=300
+unpack_linux.Intel_i7.2200.0.75=300
+unpack_linux.Intel_i7.2200.1=300
+unpack_linux.Intel_i7.2300.0.125=300
+unpack_linux.Intel_i7.2300.0.25=300
+unpack_linux.Intel_i7.2300.0.5=300
+unpack_linux.Intel_i7.2300.0.75=300
+unpack_linux.Intel_i7.2300.1=300
+unpack_linux.Intel_i7.2301.0.125=300
+unpack_linux.Intel_i7.2301.0.25=300
+unpack_linux.Intel_i7.2301.0.5=300
+unpack_linux.Intel_i7.2301.0.75=300
+unpack_linux.Intel_i7.2301.1=300