Index: DCWoRMS/trunk/src/test/article2_result/Stats_Simulation 1_Jobs.txt
===================================================================
--- DCWoRMS/trunk/src/test/article2_result/Stats_Simulation 1_Jobs.txt	(revision 833)
+++ DCWoRMS/trunk/src/test/article2_result/Stats_Simulation 1_Jobs.txt	(revision 833)
@@ -0,0 +1,10 @@
+jobID;meanTaskCompletionTime;meanTaskExecutionTime;meanTaskStartTime;meanTaskFlowTime;meanTaskWaitingTime;meanTaskGQ_WaitingTime;lateness;tardiness;makespan;
+1;7,200;7,200;0;7,200;0;0;0;0;7,200;
+2;7,200;7,200;0;7,200;0;0;0;0;7,200;
+3;7,200;7,200;0;7,200;0;0;0;0;7,200;
+4;7,200;7,200;0;7,200;0;0;0;0;7,200;
+5;7,200;7,200;0;7,200;0;0;0;0;7,200;
+6;7,200;7,200;0;7,200;0;0;0;0;7,200;
+7;7,200;7,200;0;7,200;0;0;0;0;7,200;
+8;7,200;7,200;0;7,200;0;0;0;0;7,200;
+9;7,200;7,200;0;7,200;0;0;0;0;7,200;
Index: DCWoRMS/trunk/src/test/article2_result/Stats_Simulation 1_Temperature.txt
===================================================================
--- DCWoRMS/trunk/src/test/article2_result/Stats_Simulation 1_Temperature.txt	(revision 833)
+++ DCWoRMS/trunk/src/test/article2_result/Stats_Simulation 1_Temperature.txt	(revision 833)
@@ -0,0 +1,65 @@
+resourceName;timestamp;temperature;
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
Index: DCWoRMS/trunk/src/test/article2_result/Stats_Simulation 1_EnergyUsage.txt
===================================================================
--- DCWoRMS/trunk/src/test/article2_result/Stats_Simulation 1_EnergyUsage.txt	(revision 833)
+++ DCWoRMS/trunk/src/test/article2_result/Stats_Simulation 1_EnergyUsage.txt	(revision 833)
@@ -0,0 +1,122 @@
+resourceName;timestamp;consumption;
+COOLEMALL_TESTBED;1225666800000;171.65;
+COOLEMALL_TESTBED;1225674000000;127.5;
+mean: 171.65 sum: 343.3
+
+
+
+
+IntelI7_0;1225666800000;34.65;
+IntelI7_0;1225674000000;13.5;
+mean: 34.65 sum: 69.3
+
+IntelI7_1;1225666800000;17;
+IntelI7_1;1225674000000;13.5;
+mean: 17.0 sum: 34.0
+
+IntelI7_2;1225666800000;33;
+IntelI7_2;1225674000000;13.5;
+mean: 33.0 sum: 66.0
+
+AMDFusion_3;1225666800000;10;
+AMDFusion_3;1225674000000;10;
+mean: 10.0 sum: 20.0
+
+AMDFusion_4;1225666800000;10;
+AMDFusion_4;1225674000000;10;
+mean: 10.0 sum: 20.0
+
+AMDFusion_5;1225666800000;10;
+AMDFusion_5;1225674000000;10;
+mean: 10.0 sum: 20.0
+
+AtomD510_6;1225666800000;19;
+AtomD510_6;1225674000000;19;
+mean: 19.0 sum: 38.0
+
+AtomD510_7;1225666800000;19;
+AtomD510_7;1225674000000;19;
+mean: 19.0 sum: 38.0
+
+AtomD510_8;1225666800000;19;
+AtomD510_8;1225674000000;19;
+mean: 19.0 sum: 38.0
+
+Processor_0;1225666800000;15;
+Processor_0;1225674000000;15;
+mean: 15.0 sum: 30.0
+
+Processor_1;1225666800000;15;
+Processor_1;1225674000000;15;
+mean: 15.0 sum: 30.0
+
+Processor_2;1225666800000;15;
+Processor_2;1225674000000;15;
+mean: 15.0 sum: 30.0
+
+Processor_3;1225666800000;2;
+Processor_3;1225674000000;2;
+mean: 2.0 sum: 4.0
+
+Processor_4;1225666800000;2;
+Processor_4;1225674000000;2;
+mean: 2.0 sum: 4.0
+
+Processor_5;1225666800000;2;
+Processor_5;1225674000000;2;
+mean: 2.0 sum: 4.0
+
+Processor_6;1225666800000;1.3;
+Processor_6;1225674000000;1.3;
+mean: 1.3 sum: 2.6
+
+Processor_7;1225666800000;1.3;
+Processor_7;1225674000000;1.3;
+mean: 1.3 sum: 2.6
+
+Processor_8;1225666800000;1.3;
+Processor_8;1225674000000;1.3;
+mean: 1.3 sum: 2.6
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
Index: DCWoRMS/trunk/src/test/article2_result/Stats_Simulation 1_ResourceUtilization.txt
===================================================================
--- DCWoRMS/trunk/src/test/article2_result/Stats_Simulation 1_ResourceUtilization.txt	(revision 833)
+++ DCWoRMS/trunk/src/test/article2_result/Stats_Simulation 1_ResourceUtilization.txt	(revision 833)
@@ -0,0 +1,131 @@
+resourceName;timestamp;utilization;
+COOLEMALL_TESTBED;1225666800000;1;
+COOLEMALL_TESTBED;1225674000000;0;
+mean: 1.0
+
+Recs1;1225666800000;1;
+Recs1;1225674000000;0;
+mean: 1.0
+
+Recs2;1225666800000;1;
+Recs2;1225674000000;0;
+mean: 1.0
+
+Recs3;1225666800000;1;
+Recs3;1225674000000;0;
+mean: 1.0
+
+IntelI7_0;1225666800000;1;
+IntelI7_0;1225674000000;0;
+mean: 1.0
+
+IntelI7_1;1225666800000;1;
+IntelI7_1;1225674000000;0;
+mean: 1.0
+
+IntelI7_2;1225666800000;1;
+IntelI7_2;1225674000000;0;
+mean: 1.0
+
+AMDFusion_3;1225666800000;1;
+AMDFusion_3;1225674000000;0;
+mean: 1.0
+
+AMDFusion_4;1225666800000;1;
+AMDFusion_4;1225674000000;0;
+mean: 1.0
+
+AMDFusion_5;1225666800000;1;
+AMDFusion_5;1225674000000;0;
+mean: 1.0
+
+AtomD510_6;1225666800000;1;
+AtomD510_6;1225674000000;0;
+mean: 1.0
+
+AtomD510_7;1225666800000;1;
+AtomD510_7;1225674000000;0;
+mean: 1.0
+
+AtomD510_8;1225666800000;1;
+AtomD510_8;1225674000000;0;
+mean: 1.0
+
+Processor_0;1225666800000;1;
+Processor_0;1225674000000;0;
+mean: 1.0
+
+Processor_1;1225666800000;1;
+Processor_1;1225674000000;0;
+mean: 1.0
+
+Processor_2;1225666800000;1;
+Processor_2;1225674000000;0;
+mean: 1.0
+
+Processor_3;1225666800000;1;
+Processor_3;1225674000000;0;
+mean: 1.0
+
+Processor_4;1225666800000;1;
+Processor_4;1225674000000;0;
+mean: 1.0
+
+Processor_5;1225666800000;1;
+Processor_5;1225674000000;0;
+mean: 1.0
+
+Processor_6;1225666800000;1;
+Processor_6;1225674000000;0;
+mean: 1.0
+
+Processor_7;1225666800000;1;
+Processor_7;1225674000000;0;
+mean: 1.0
+
+Processor_8;1225666800000;1;
+Processor_8;1225674000000;0;
+mean: 1.0
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
Index: DCWoRMS/trunk/src/test/article2_result/Stats_Simulation 1_Simulation.txt
===================================================================
--- DCWoRMS/trunk/src/test/article2_result/Stats_Simulation 1_Simulation.txt	(revision 833)
+++ DCWoRMS/trunk/src/test/article2_result/Stats_Simulation 1_Simulation.txt	(revision 833)
@@ -0,0 +1,14 @@
+Resource name;mean;stdev;variance;minimum;maximum;sum;count;
+Delayed tasks;0;0;0;0;0;0;1;
+Failed requests (tasks);0;0;0;0;0;0;1;
+Makespan;7,200;0;0;7,200;7,200;7,200;1;
+Resources queue length;0;0;0;0;0;0;1;
+Resources total load;1;0;0;1;1;1;1;
+Energy usage;343.3;0;0;343.3;343.3;343.3;1;
+Task completion time;7,200;0;0;7,200;7,200;64,800;9;
+Task execution time;7,200;0;0;7,200;7,200;64,800;9;
+Task start time;0;0;0;0;0;0;9;
+Task flow time;7,200;0;0;7,200;7,200;64,800;9;
+Task waiting time;0;0;0;0;0;0;9;
+Task lateness;0;0;0;0;0;0;9;
+Task tardiness;0;0;0;0;0;0;9;
Index: DCWoRMS/trunk/src/test/article2_result/Stats_Simulation 1_AirThroughput.txt
===================================================================
--- DCWoRMS/trunk/src/test/article2_result/Stats_Simulation 1_AirThroughput.txt	(revision 833)
+++ DCWoRMS/trunk/src/test/article2_result/Stats_Simulation 1_AirThroughput.txt	(revision 833)
@@ -0,0 +1,92 @@
+resourceName;timestamp;airFlow;
+
+
+
+
+IntelI7_0;1225666800000;0.673;
+IntelI7_0;1225674000000;0;
+mean: 0.673 sum: 80.76
+
+IntelI7_1;1225666800000;0.673;
+IntelI7_1;1225674000000;0;
+mean: 0.673 sum: 80.76
+
+IntelI7_2;1225666800000;0.673;
+IntelI7_2;1225674000000;0;
+mean: 0.673 sum: 80.76
+
+AMDFusion_3;1225666800000;0.673;
+AMDFusion_3;1225674000000;0;
+mean: 0.673 sum: 80.76
+
+AMDFusion_4;1225666800000;0.673;
+AMDFusion_4;1225674000000;0;
+mean: 0.673 sum: 80.76
+
+AMDFusion_5;1225666800000;0.673;
+AMDFusion_5;1225674000000;0;
+mean: 0.673 sum: 80.76
+
+AtomD510_6;1225666800000;0.673;
+AtomD510_6;1225674000000;0;
+mean: 0.673 sum: 80.76
+
+AtomD510_7;1225666800000;0.673;
+AtomD510_7;1225674000000;0;
+mean: 0.673 sum: 80.76
+
+AtomD510_8;1225666800000;0.673;
+AtomD510_8;1225674000000;0;
+mean: 0.673 sum: 80.76
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
Index: DCWoRMS/trunk/src/test/article2_result/Stats_Simulation 1_Tasks.txt
===================================================================
--- DCWoRMS/trunk/src/test/article2_result/Stats_Simulation 1_Tasks.txt	(revision 833)
+++ DCWoRMS/trunk/src/test/article2_result/Stats_Simulation 1_Tasks.txt	(revision 833)
@@ -0,0 +1,10 @@
+JobID;TaskID;UserDN;ResName;CpuCnt;ExecStartDate;ExecFinishDate;ExecEndDate;GB_SubDate;LB_SubDate;CompletionTime;ExecStartTime;ExecutionTime;ReadyTime;StartTime;FlowTime;WaitingTime;GQ_WaitingTime;Lateness;Tardiness;ReservStartDate;ReservFinishDate;ProcessorName;Energy;
+1;1;-1;cluster;1;1225666800;1225674000;1225674000;1225666800;1225666800;7200;0;7200;0;0;7200;0;0;0;0;0;0;[Processor_8];
+2;2;-1;cluster;1;1225666800;1225674000;1225674000;1225666800;1225666800;7200;0;7200;0;0;7200;0;0;0;0;0;0;[Processor_1];
+3;3;-1;cluster;1;1225666800;1225674000;1225674000;1225666800;1225666800;7200;0;7200;0;0;7200;0;0;0;0;0;0;[Processor_5];
+4;4;-1;cluster;1;1225666800;1225674000;1225674000;1225666800;1225666800;7200;0;7200;0;0;7200;0;0;0;0;0;0;[Processor_3];
+5;5;-1;cluster;1;1225666800;1225674000;1225674000;1225666800;1225666800;7200;0;7200;0;0;7200;0;0;0;0;0;0;[Processor_2];
+6;6;-1;cluster;1;1225666800;1225674000;1225674000;1225666800;1225666800;7200;0;7200;0;0;7200;0;0;0;0;0;0;[Processor_7];
+7;7;-1;cluster;1;1225666800;1225674000;1225674000;1225666800;1225666800;7200;0;7200;0;0;7200;0;0;0;0;0;0;[Processor_4];
+8;8;-1;cluster;1;1225666800;1225674000;1225674000;1225666800;1225666800;7200;0;7200;0;0;7200;0;0;0;0;0;0;[Processor_6];
+9;9;-1;cluster;1;1225666800;1225674000;1225674000;1225666800;1225666800;7200;0;7200;0;0;7200;0;0;0;0;0;0;[Processor_0];
Index: DCWoRMS/trunk/src/test/article2_result/experiment.properties
===================================================================
--- DCWoRMS/trunk/src/test/article2_result/experiment.properties	(revision 833)
+++ DCWoRMS/trunk/src/test/article2_result/experiment.properties	(revision 833)
@@ -0,0 +1,33 @@
+# Use single *.swf file as workload description.
+
+# Path to xml file which describes resource characteristics.
+resdesc=src/test/article2/recs/resourcesCoolEmAll.xml
+
+# and swf file, which name is declared by readscenario.workloadfilename parameter.
+# Swf file must be placed in readscenario.inputfolder directory.  
+readscenario.workloadfilename=src/test/article2/recs/workload9.swf
+
+# Choose directory where all result files should be placed.
+stats.outputfolder=../../article2_result
+
+# Define the type and content of charts to generate
+
+# Gantt chart
+creatediagrams.gantt=true
+
+# Shows the execution times of tasks
+creatediagrams.tasks=false
+
+# Shows the waiting times of tasks
+creatediagrams.taskswaitingtime=false
+
+# Resource utilization chart - only for processors
+#creatediagrams.resutilization=DataCenter
+
+# Power usage chart - for computing nodes and processors
+creatediagrams.respowerusage=DataCenter
+
+#creatediagrams.resairflow=ComputingNode
+
+
+creatediagrams.restemperature=ComputingNode