Index: DCWoRMS/trunk/src/test/debb2dcworms/example/example1.xml
===================================================================
--- DCWoRMS/trunk/src/test/debb2dcworms/example/example1.xml	(revision 841)
+++ DCWoRMS/trunk/src/test/debb2dcworms/example/example1.xml	(revision 841)
@@ -0,0 +1,21 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<plugins xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:noNamespaceSchemaLocation="../debb2dcworms.xsd">
+	<timeEstimationPlugin>
+		<name>example.timeestimation.RecsTimeEstimationPlugin</name>
+	</timeEstimationPlugin>
+	
+	<schedulingPlugin>
+		<name>example.localplugin.FCFSBF_LocalPlugin</name>
+		<resources>
+			<class>ComputeBox1</class>
+		</resources>
+	</schedulingPlugin>
+	
+	<energyEstimationPlugin>
+		<name>example.energy.recs.NodeEnergyEstimationPlugin</name>
+		<resources>
+			<class>Node</class>
+		</resources>
+	</energyEstimationPlugin>
+</plugins>
Index: DCWoRMS/trunk/src/test/debb2dcworms/example/example2.xml
===================================================================
--- DCWoRMS/trunk/src/test/debb2dcworms/example/example2.xml	(revision 841)
+++ DCWoRMS/trunk/src/test/debb2dcworms/example/example2.xml	(revision 841)
@@ -0,0 +1,53 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<plugins xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:noNamespaceSchemaLocation="../debb2dcworms.xsd">
+	<timeEstimationPlugin>
+		<name>example.timeestimation.RecsTimeEstimationPlugin</name>
+	</timeEstimationPlugin>
+	
+	<schedulingPlugin>
+		<name>example.localplugin.FCFSBF_LocalPlugin</name>
+		<resources>
+			<class>ComputeBox1</class>
+		</resources>
+	</schedulingPlugin>
+	
+	<schedulingPlugin>
+		<name>example.localplugin.FCFSBF_RECSPlugin</name>
+		<resources>
+			<class>RECS</class>
+		</resources>
+	</schedulingPlugin>
+	
+	<energyEstimationPlugin>
+		<name>example.energy.recs.NodeI7EnergyEstimationPlugin</name>
+		<resources>
+			<class>Node</class>
+			<type>Intel_i7</type>
+		</resources>
+	</energyEstimationPlugin>
+	
+	<energyEstimationPlugin>
+		<name>example.energy.recs.NodeAmdEnergyEstimationPlugin</name>
+		<resources>
+			<class>Node</class>
+			<type>AMD</type>
+		</resources>
+	</energyEstimationPlugin>
+	
+	<energyEstimationPlugin>
+		<name>example.energy.recs.PorcessorI7EnergyEstimationPlugin</name>
+		<resources>
+			<class>Node</class>
+			<type>Intel_i7</type>
+		</resources>
+	</energyEstimationPlugin>
+	
+	<energyEstimationPlugin>
+		<name>example.energy.recs.ProcessorAmdEnergyEstimationPlugin</name>
+		<resources>
+			<class>Node</class>
+			<type>AMD</type>
+		</resources>
+	</energyEstimationPlugin>
+</plugins>
Index: DCWoRMS/trunk/src/test/debb2dcworms/debb2dcworms.xsd
===================================================================
--- DCWoRMS/trunk/src/test/debb2dcworms/debb2dcworms.xsd	(revision 841)
+++ DCWoRMS/trunk/src/test/debb2dcworms/debb2dcworms.xsd	(revision 841)
@@ -0,0 +1,96 @@
+<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema"
+	elementFormDefault="qualified" attributeFormDefault="unqualified">
+	
+	<xs:complexType name="pluginType">
+		<xs:sequence>
+			<xs:element name="name" type="xs:string"></xs:element>
+			<xs:element name="parameter" type="parameterType" minOccurs="0" maxOccurs="unbounded"></xs:element>
+		</xs:sequence>
+	</xs:complexType>
+	
+	<xs:complexType name="timeEstimationPluginType">
+		<xs:complexContent>
+			<xs:extension base="pluginType"/>
+		</xs:complexContent>	
+	</xs:complexType>
+	
+	<xs:complexType name="schedulingPluginType">
+		<xs:complexContent>
+			<xs:extension base="pluginType">
+				<xs:sequence>
+					<xs:element name="frequency" type="doubleValueWithUnitType" minOccurs="0" maxOccurs="1"></xs:element>
+					<xs:element name="resources" type="resourceType" minOccurs="0" maxOccurs="unbounded"></xs:element>
+				</xs:sequence>
+			</xs:extension>
+		</xs:complexContent>
+	</xs:complexType>
+	
+	<xs:complexType name="energyEstimationPluginType">
+		<xs:complexContent>
+			<xs:extension base="pluginType">
+				<xs:sequence>
+					<xs:element name="resources" type="resourceType" minOccurs="0" maxOccurs="unbounded"></xs:element>
+				</xs:sequence>
+			</xs:extension>
+		</xs:complexContent>
+	</xs:complexType>
+	
+	<xs:complexType name="resourceType">
+		<xs:sequence>
+			<xs:element name="class" type="xs:string" minOccurs="1"></xs:element>
+			<xs:element name="type" type="xs:string" minOccurs="0"></xs:element>
+			<xs:element name="name" type="xs:string" minOccurs="0" maxOccurs="unbounded"></xs:element>
+		</xs:sequence>
+	</xs:complexType>
+	
+		<xs:complexType name="parameterType">
+		<xs:annotation>
+			<xs:documentation>Parameter of resource. Allows defining additional resource parameters.
+			Contains a list of parameter values or a list of key-value pairs.
+			Attribute : name - denotes parameter name</xs:documentation>
+		</xs:annotation>
+		<xs:choice>
+			<xs:element name="value" type="stringValueWithUnitType" minOccurs="0" maxOccurs="unbounded"/>
+			<xs:sequence>
+				<xs:element name="property" minOccurs="0" maxOccurs="unbounded">
+					<xs:complexType>
+						<xs:sequence>
+							<xs:element name="value" type="stringValueWithUnitType" minOccurs="0" maxOccurs="unbounded"/>
+						</xs:sequence>
+						<xs:attribute name="name" type="xs:string" use="required"/>
+					</xs:complexType>
+				</xs:element>
+			</xs:sequence>
+		</xs:choice>
+		<xs:attribute name="name" type="xs:string" use="required"/>
+	</xs:complexType>
+	
+	<xs:complexType name="stringValueWithUnitType">
+		<xs:simpleContent>
+			<xs:extension base="xs:string">
+				<xs:attribute name="unit" type="xs:string" use="optional"/>
+			</xs:extension>	
+		</xs:simpleContent>	
+	</xs:complexType>
+	
+	<xs:complexType name="doubleValueWithUnitType">
+		<xs:simpleContent>
+			<xs:extension base="xs:double">
+				<xs:attribute name="unit" type="xs:string" use="optional"/>
+			</xs:extension>	
+		</xs:simpleContent>	
+	</xs:complexType>
+	
+	<xs:element name="plugins">
+		<xs:annotation>
+			<xs:documentation>Schema describing additional data required to create DCWoRMS schema</xs:documentation>
+		</xs:annotation>
+		<xs:complexType>
+			<xs:sequence>
+				<xs:element name="timeEstimationPlugin" type="timeEstimationPluginType" minOccurs="0"></xs:element>
+				<xs:element name="schedulingPlugin" type="schedulingPluginType" minOccurs="0" maxOccurs="unbounded"></xs:element>
+				<xs:element name="energyEstimationPlugin" type="energyEstimationPluginType" minOccurs="0" maxOccurs="unbounded"></xs:element>
+			</xs:sequence>
+		</xs:complexType>
+	</xs:element>
+</xs:schema>