Index: DCWoRMS/branches/coolemall/example/experiment3_result/Stats_Simulation 1_Tasks.txt
===================================================================
--- DCWoRMS/trunk/example/experiment3_result/Stats_Simulation 1_Tasks.txt	(revision 545)
+++ DCWoRMS/branches/coolemall/example/experiment3_result/Stats_Simulation 1_Tasks.txt	(revision 883)
@@ -1,14 +1,14 @@
 JobID;TaskID;UserDN;ResName;CpuCnt;ExecStartDate;ExecFinishDate;ExecEndDate;GB_SubDate;LB_SubDate;CompletionTime;ExecStartTime;ExecutionTime;ReadyTime;StartTime;FlowTime;WaitingTime;GQ_WaitingTime;Lateness;Tardiness;ReservStartDate;ReservFinishDate;ProcessorName;Energy;
-1;1;-1;ManagementSystem@cluster;1;1225666800;1225674000;1225674000;1225666800;1225666800;7200;0;7200;0;0;7200;0;0;0;0;0;0;[Processor_0];
-2;2;-1;ManagementSystem@cluster;1;1225666800;1225674000;1225674000;1225666800;1225666800;7200;0;7200;0;0;7200;0;0;0;0;0;0;[Processor_1];
-3;3;-1;ManagementSystem@cluster;1;1225666800;1225674000;1225674000;1225666800;1225666800;7200;0;7200;0;0;7200;0;0;0;0;0;0;[Processor_2];
-4;4;-1;ManagementSystem@cluster;1;1225666800;1225674000;1225674000;1225666800;1225666800;7200;0;7200;0;0;7200;0;0;0;0;0;0;[Processor_3];
-5;5;-1;ManagementSystem@cluster;1;1225666800;1225674000;1225674000;1225666800;1225666800;7200;0;7200;0;0;7200;0;0;0;0;0;0;[Processor_4];
-6;6;-1;ManagementSystem@cluster;1;1225666800;1225677600;1225677600;1225666800;1225666800;10800;0;10800;0;0;10800;0;0;0;0;0;0;[Processor_5];
-7;7;-1;ManagementSystem@cluster;1;1225666800;1225681200;1225681200;1225666800;1225666800;14400;0;14400;0;0;14400;0;0;0;0;0;0;[Processor_6];
-8;8;-1;ManagementSystem@cluster;1;1225666800;1225695600;1225695600;1225666800;1225666800;28800;0;28800;0;0;28800;0;0;0;0;0;0;[Processor_7];
-9;9;-1;ManagementSystem@cluster;1;1225670400;1225677600;1225677600;1225670400;1225670400;10800;3600;7200;3600;0;7200;0;0;0;0;0;0;[Processor_8];
-10;10;-1;ManagementSystem@cluster;1;1225688400;1225710000;1225710000;1225688400;1225688400;43200;21600;21600;21600;0;21600;0;0;0;0;0;0;[Processor_0];
-11;11;-1;ManagementSystem@cluster;1;1225692000;1225717200;1225717200;1225692000;1225692000;50400;25200;25200;25200;0;25200;0;0;0;0;0;0;[Processor_1];
-12;12;-1;ManagementSystem@cluster;1;1225706400;1225720800;1225720800;1225706400;1225706400;54000;39600;14400;39600;0;14400;0;0;0;0;0;0;[Processor_2];
-13;13;-1;ManagementSystem@cluster;1;1225713600;1225724400;1225724400;1225713600;1225713600;57600;46800;10800;46800;0;10800;0;0;0;0;0;0;[Processor_0];
+1;1;-1;cluster;1;1225666800;1225674000;1225674000;1225666800;1225666800;7200;0;7200;0;0;7200;0;0;0;0;0;0;[Processor_0];
+2;2;-1;cluster;1;1225666800;1225674000;1225674000;1225666800;1225666800;7200;0;7200;0;0;7200;0;0;0;0;0;0;[Processor_1];
+3;3;-1;cluster;1;1225666800;1225674000;1225674000;1225666800;1225666800;7200;0;7200;0;0;7200;0;0;0;0;0;0;[Processor_2];
+4;4;-1;cluster;1;1225666800;1225674000;1225674000;1225666800;1225666800;7200;0;7200;0;0;7200;0;0;0;0;0;0;[Processor_3];
+5;5;-1;cluster;1;1225666800;1225674000;1225674000;1225666800;1225666800;7200;0;7200;0;0;7200;0;0;0;0;0;0;[Processor_4];
+6;6;-1;cluster;1;1225666800;1225677600;1225677600;1225666800;1225666800;10800;0;10800;0;0;10800;0;0;0;0;0;0;[Processor_5];
+7;7;-1;cluster;1;1225666800;1225681200;1225681200;1225666800;1225666800;14400;0;14400;0;0;14400;0;0;0;0;0;0;[Processor_6];
+8;8;-1;cluster;1;1225666800;1225695600;1225695600;1225666800;1225666800;28800;0;28800;0;0;28800;0;0;0;0;0;0;[Processor_7];
+9;9;-1;cluster;1;1225670400;1225677600;1225677600;1225670400;1225670400;10800;3600;7200;3600;0;7200;0;0;0;0;0;0;[Processor_8];
+10;10;-1;cluster;1;1225688400;1225710000;1225710000;1225688400;1225688400;43200;21600;21600;21600;0;21600;0;0;0;0;0;0;[Processor_0];
+11;11;-1;cluster;1;1225692000;1225717200;1225717200;1225692000;1225692000;50400;25200;25200;25200;0;25200;0;0;0;0;0;0;[Processor_1];
+12;12;-1;cluster;1;1225706400;1225720800;1225720800;1225706400;1225706400;54000;39600;14400;39600;0;14400;0;0;0;0;0;0;[Processor_2];
+13;13;-1;cluster;1;1225713600;1225724400;1225724400;1225713600;1225713600;57600;46800;10800;46800;0;10800;0;0;0;0;0;0;[Processor_0];
Index: DCWoRMS/branches/coolemall/example/experiment3_result/Stats_Simulation 1_Temperature.txt
===================================================================
--- DCWoRMS/branches/coolemall/example/experiment3_result/Stats_Simulation 1_Temperature.txt	(revision 883)
+++ DCWoRMS/branches/coolemall/example/experiment3_result/Stats_Simulation 1_Temperature.txt	(revision 883)
@@ -0,0 +1,23 @@
+resourceName;timestamp;temperature;
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
Index: DCWoRMS/branches/coolemall/example/experiment3_result/Stats_Simulation 1_EnergyUsage.txt
===================================================================
--- DCWoRMS/trunk/example/experiment3_result/Stats_Simulation 1_EnergyUsage.txt	(revision 560)
+++ DCWoRMS/branches/coolemall/example/experiment3_result/Stats_Simulation 1_EnergyUsage.txt	(revision 883)
@@ -3,81 +3,112 @@
 
 ComputingNode_0;1225666800000;1,730;
-ComputingNode_0;1225724400000;1,730;
-mean: 1730.0 sum: 27680.0
+ComputingNode_0;1225674000000;250;
+ComputingNode_0;1225688400000;620;
+ComputingNode_0;1225692000000;990;
+ComputingNode_0;1225706400000;1,360;
+ComputingNode_0;1225710000000;990;
+ComputingNode_0;1225713600000;1,360;
+ComputingNode_0;1225717200000;990;
+ComputingNode_0;1225720800000;620;
+ComputingNode_0;1225724400000;250;
+mean: 897.5 sum: 14360.0
 
 ComputingNode_1;1225666800000;1,730;
-ComputingNode_1;1225724400000;1,730;
-mean: 1730.0 sum: 27680.0
+ComputingNode_1;1225674000000;1,360;
+ComputingNode_1;1225677600000;990;
+ComputingNode_1;1225681200000;620;
+ComputingNode_1;1225695600000;250;
+ComputingNode_1;1225724400000;250;
+mean: 643.125 sum: 10290.0
 
-ComputingNode_2;1225666800000;1,550;
-ComputingNode_2;1225724400000;1,550;
-mean: 1550.0 sum: 24800.0
+ComputingNode_2;1225666800000;150;
+ComputingNode_2;1225670400000;500;
+ComputingNode_2;1225677600000;150;
+ComputingNode_2;1225724400000;150;
+mean: 193.75 sum: 3100.0
 
-ComputingNode_3;1225666800000;1,550;
-ComputingNode_3;1225724400000;1,550;
-mean: 1550.0 sum: 24800.0
+ComputingNode_3;1225666800000;150;
+ComputingNode_3;1225724400000;150;
+mean: 150.0 sum: 2400.0
 
 Processor_0;1225666800000;370;
-Processor_0;1225724400000;370;
-mean: 370.0 sum: 5920.0
+Processor_0;1225674000000;0;
+Processor_0;1225688400000;370;
+Processor_0;1225710000000;0;
+Processor_0;1225713600000;370;
+Processor_0;1225724400000;0;
+mean: 254.375 sum: 4070.0
 
 Processor_1;1225666800000;370;
-Processor_1;1225724400000;370;
-mean: 370.0 sum: 5920.0
+Processor_1;1225674000000;0;
+Processor_1;1225692000000;370;
+Processor_1;1225717200000;0;
+Processor_1;1225724400000;0;
+mean: 208.125 sum: 3330.0
 
 Processor_2;1225666800000;370;
-Processor_2;1225724400000;370;
-mean: 370.0 sum: 5920.0
+Processor_2;1225674000000;0;
+Processor_2;1225706400000;370;
+Processor_2;1225720800000;0;
+Processor_2;1225724400000;0;
+mean: 138.75 sum: 2220.0
 
 Processor_3;1225666800000;370;
-Processor_3;1225724400000;370;
-mean: 370.0 sum: 5920.0
+Processor_3;1225674000000;0;
+Processor_3;1225724400000;0;
+mean: 46.25 sum: 740.0
 
 Processor_4;1225666800000;370;
-Processor_4;1225724400000;370;
-mean: 370.0 sum: 5920.0
+Processor_4;1225674000000;0;
+Processor_4;1225724400000;0;
+mean: 46.25 sum: 740.0
 
 Processor_5;1225666800000;370;
-Processor_5;1225724400000;370;
-mean: 370.0 sum: 5920.0
+Processor_5;1225677600000;0;
+Processor_5;1225724400000;0;
+mean: 69.375 sum: 1110.0
 
 Processor_6;1225666800000;370;
-Processor_6;1225724400000;370;
-mean: 370.0 sum: 5920.0
+Processor_6;1225681200000;0;
+Processor_6;1225724400000;0;
+mean: 92.5 sum: 1480.0
 
 Processor_7;1225666800000;370;
-Processor_7;1225724400000;370;
-mean: 370.0 sum: 5920.0
+Processor_7;1225695600000;0;
+Processor_7;1225724400000;0;
+mean: 185.0 sum: 2960.0
 
-Processor_8;1225666800000;350;
-Processor_8;1225724400000;350;
-mean: 350.0 sum: 5600.0
+Processor_8;1225666800000;0;
+Processor_8;1225670400000;350;
+Processor_8;1225677600000;0;
+Processor_8;1225724400000;0;
+mean: 43.75 sum: 700.0
 
-Processor_9;1225666800000;350;
-Processor_9;1225724400000;350;
-mean: 350.0 sum: 5600.0
+Processor_9;1225666800000;0;
+Processor_9;1225724400000;0;
+mean: 0.0 sum: 0.0
 
-Processor_10;1225666800000;350;
-Processor_10;1225724400000;350;
-mean: 350.0 sum: 5600.0
+Processor_10;1225666800000;0;
+Processor_10;1225724400000;0;
+mean: 0.0 sum: 0.0
 
-Processor_11;1225666800000;350;
-Processor_11;1225724400000;350;
-mean: 350.0 sum: 5600.0
+Processor_11;1225666800000;0;
+Processor_11;1225724400000;0;
+mean: 0.0 sum: 0.0
 
-Processor_12;1225666800000;350;
-Processor_12;1225724400000;350;
-mean: 350.0 sum: 5600.0
+Processor_12;1225666800000;0;
+Processor_12;1225724400000;0;
+mean: 0.0 sum: 0.0
 
-Processor_13;1225666800000;350;
-Processor_13;1225724400000;350;
-mean: 350.0 sum: 5600.0
+Processor_13;1225666800000;0;
+Processor_13;1225724400000;0;
+mean: 0.0 sum: 0.0
 
-Processor_14;1225666800000;350;
-Processor_14;1225724400000;350;
-mean: 350.0 sum: 5600.0
+Processor_14;1225666800000;0;
+Processor_14;1225724400000;0;
+mean: 0.0 sum: 0.0
 
-Processor_15;1225666800000;350;
-Processor_15;1225724400000;350;
-mean: 350.0 sum: 5600.0
+Processor_15;1225666800000;0;
+Processor_15;1225724400000;0;
+mean: 0.0 sum: 0.0
 
Index: DCWoRMS/branches/coolemall/example/experiment3_result/Stats_Simulation 1_Simulation.txt
===================================================================
--- DCWoRMS/trunk/example/experiment3_result/Stats_Simulation 1_Simulation.txt	(revision 560)
+++ DCWoRMS/branches/coolemall/example/experiment3_result/Stats_Simulation 1_Simulation.txt	(revision 883)
@@ -5,5 +5,5 @@
 Resources queue length;0.812;0;0;0.812;0.812;0.812;1;
 Resources total load;0.184;0;0;0.184;0.184;0.184;1;
-Energy usage;26,240;1,440;2,073,600;24,800;27,680;104,960;4;
+Energy usage;7,537.5;5,005.199;25,052,018.75;2,400;14,360;30,150;4;
 Task completion time;23,538.462;19,546.14;382,051,597.633;7,200;57,600;306,000;13;
 Task execution time;13,015.385;7,274.174;52,913,609.467;7,200;28,800;169,200;13;