Index: DCWoRMS/branches/coolemall/simulator/schemas/resources/example/example5.xml
===================================================================
--- DCWoRMS/branches/coolemall/simulator/schemas/resources/example/example5.xml	(revision 604)
+++ DCWoRMS/branches/coolemall/simulator/schemas/resources/example/example5.xml	(revision 900)
@@ -18,5 +18,5 @@
 						<powerProfile>
 							<energyEstimationPlugin>
-								<name>CPUEnergyEstimationPlugin</name>
+								<name>ProcessorEnergyEstimationPlugin</name>
 							</energyEstimationPlugin>
 							<powerStates>
Index: DCWoRMS/branches/coolemall/simulator/schemas/resources/example/example7.xml
===================================================================
--- DCWoRMS/branches/coolemall/simulator/schemas/resources/example/example7.xml	(revision 604)
+++ DCWoRMS/branches/coolemall/simulator/schemas/resources/example/example7.xml	(revision 900)
@@ -47,5 +47,5 @@
 				<powerProfile>
 					<energyEstimationPlugin>
-						<name>CPUEnergyEstimationPlugin</name>
+						<name>ProcessorEnergyEstimationPlugin</name>
 					</energyEstimationPlugin>
 					<powerStates>
@@ -132,5 +132,5 @@
 				<powerProfile>
 				 	<energyEstimationPlugin>
-						<name>CPUEnergyEstimationPlugin</name>
+						<name>ProcessorEnergyEstimationPlugin</name>
 					</energyEstimationPlugin>
 					<powerStates>
Index: DCWoRMS/branches/coolemall/simulator/schemas/resources/example/coolemall_alaternative/example2.xml
===================================================================
--- DCWoRMS/branches/coolemall/simulator/schemas/resources/example/coolemall_alaternative/example2.xml	(revision 605)
+++ DCWoRMS/branches/coolemall/simulator/schemas/resources/example/coolemall_alaternative/example2.xml	(revision 900)
@@ -86,7 +86,7 @@
 							 -->
 							<powerProfile>
-								<!-- CPUEnergyEstimationPlugin will be used to estimate energy consumption on processor level.-->
+								<!-- ProcessorEnergyEstimationPlugin will be used to estimate energy consumption on processor level.-->
 								<energyEstimationPlugin>
-									<name>CPUEnergyEstimationPlugin</name>
+									<name>ProcessorEnergyEstimationPlugin</name>
 								</energyEstimationPlugin>
 								
Index: DCWoRMS/branches/coolemall/simulator/schemas/resources/example/coolemall/example2.xml
===================================================================
--- DCWoRMS/branches/coolemall/simulator/schemas/resources/example/coolemall/example2.xml	(revision 603)
+++ DCWoRMS/branches/coolemall/simulator/schemas/resources/example/coolemall/example2.xml	(revision 900)
@@ -86,7 +86,7 @@
 							 -->
 							<powerProfile>
-								<!-- CPUEnergyEstimationPlugin will be used to estimate energy consumption on processor level.-->
+								<!-- ProcessorEnergyEstimationPlugin will be used to estimate energy consumption on processor level.-->
 								<energyEstimationPlugin>
-									<name>example.energy.CPUEnergyEstimationPlugin</name>
+									<name>example.energy.ProcessorEnergyEstimationPlugin</name>
 								</energyEstimationPlugin>
 								<parameter name="pState">
Index: DCWoRMS/branches/coolemall/simulator/schemas/resources/example/tomExp.xml
===================================================================
--- DCWoRMS/branches/coolemall/simulator/schemas/resources/example/tomExp.xml	(revision 604)
+++ 	(revision )
@@ -1,381 +1,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<environment xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
-	xsi:noNamespaceSchemaLocation="../DCWoRMSResSchema.xsd">
-	
-	<!-- Opis dla data center z uwzglednieniem aspektow energetycznych -->
-	<resources>
-		<computingResource class="DataCenter" name="compRes1">
-								<resourceUnit class="krasnoludek">
-						<amount>7</amount>
-				</resourceUnit>
-		<computingResource class="Rack">
-						<resourceUnit class="storage">
-						<amount>1000000</amount>
-				</resourceUnit>
-			<computingResource class="ComputingNode" count="2">
-				<resourceUnit class="memory">
-						<amount>12288</amount>
-				</resourceUnit>
-				<parameter name="category">
-						<value>A</value>
-				</parameter>
-				<profile>
-					<powerProfile>
-						<energyEstimationPlugin>
-							<name>example.energy.ComputingNodeEnergyEstimationPlugin</name>
-						</energyEstimationPlugin>	
-						<powerStates>
-							<powerState>
-								<name>ON</name>
-								<powerUsage>750</powerUsage>
-							</powerState>
-							<powerState>
-								<name>OFF</name>
-								<powerUsage>0</powerUsage>
-							</powerState>
-						</powerStates>				
-					</powerProfile>
-				</profile>
-
-				<computingResource class="Processor" count="4">
-					<parameter name="speed">
-						<value>1</value>
-					</parameter>
-					<profile>
-						<powerProfile>
-							<energyEstimationPlugin>
-								<name>example.energy.CPUEnergyEstimationPlugin</name>
-							</energyEstimationPlugin>		
-							<parameter name="pState">
-								<property name="name">
-									<value>P0</value>
-								</property>	
-								<property name="frequency">
-									<value unit="Hz">3000</value>
-								</property>		
-								<property name="voltage">
-									<value unit="V">0</value>
-								</property>
-								<property name="powerUsage">
-									<value unit="W">350</value>
-								</property>						
-							</parameter>
-							<parameter name="pState">
-								<property name="name">
-									<value>P1</value>
-								</property>	
-								<property name="frequency">
-									<value unit="H`">2660</value>
-								</property>		
-								<property name="voltage">
-									<value unit="V">0</value>
-								</property>
-								<property name="powerUsage">
-									<value unit="W">343</value>
-								</property>						
-							</parameter>	
-							<parameter name="pState">
-								<property name="name">
-									<value>P2</value>
-								</property>	
-								<property name="frequency">
-									<value unit="H`">2330</value>
-								</property>		
-								<property name="voltage">
-									<value unit="V">0</value>
-								</property>
-								<property name="powerUsage">
-									<value unit="W">337</value>
-								</property>						
-							</parameter>
-							<parameter name="pState">
-								<property name="name">
-									<value>P3</value>
-								</property>	
-								<property name="frequency">
-									<value unit="H`">2000</value>
-								</property>		
-								<property name="voltage">
-									<value unit="V">0</value>
-								</property>
-								<property name="powerUsage">
-									<value unit="W">330</value>
-								</property>						
-							</parameter>								
-						</powerProfile>
-					</profile>
-				</computingResource>
-			</computingResource>	
-			<computingResource class="ComputingNode" count="2">
-				<resourceUnit class="memory">
-						<amount>12288</amount>
-				</resourceUnit>
-				<parameter name="category">
-					<value>B</value>
-				</parameter>
-				<profile>
-					<powerProfile>
-						<energyEstimationPlugin>
-							<name>example.energy.ComputingNodeEnergyEstimationPlugin</name>
-						</energyEstimationPlugin>	
-						<powerStates>
-							<powerState>
-								<name>ON</name>
-								<powerUsage>750</powerUsage>
-							</powerState>
-							<powerState>
-								<name>OFF</name>
-								<powerUsage>0</powerUsage>
-							</powerState>
-						</powerStates>				
-					</powerProfile>
-				</profile>
-
-				<computingResource class="Processor" count="4">
-					<parameter name="speed">
-						<value>1</value>
-					</parameter>
-					<profile>
-						<powerProfile>
-							<energyEstimationPlugin>
-								<name>example.energy.CPUEnergyEstimationPlugin</name>
-							</energyEstimationPlugin>		
-							<parameter name="pState">
-								<property name="name">
-									<value>P0</value>
-								</property>	
-								<property name="frequency">
-									<value unit="Hz">3000</value>
-								</property>		
-								<property name="voltage">
-									<value unit="V">0</value>
-								</property>
-								<property name="powerUsage">
-									<value unit="W">350</value>
-								</property>						
-							</parameter>
-							<parameter name="pState">
-								<property name="name">
-									<value>P1</value>
-								</property>	
-								<property name="frequency">
-									<value unit="H`">2660</value>
-								</property>		
-								<property name="voltage">
-									<value unit="V">0</value>
-								</property>
-								<property name="powerUsage">
-									<value unit="W">343</value>
-								</property>						
-							</parameter>	
-							<parameter name="pState">
-								<property name="name">
-									<value>P2</value>
-								</property>	
-								<property name="frequency">
-									<value unit="H`">2330</value>
-								</property>		
-								<property name="voltage">
-									<value unit="V">0</value>
-								</property>
-								<property name="powerUsage">
-									<value unit="W">337</value>
-								</property>						
-							</parameter>
-							<parameter name="pState">
-								<property name="name">
-									<value>P3</value>
-								</property>	
-								<property name="frequency">
-									<value unit="H`">2000</value>
-								</property>		
-								<property name="voltage">
-									<value unit="V">0</value>
-								</property>
-								<property name="powerUsage">
-									<value unit="W">330</value>
-								</property>						
-							</parameter>								
-						</powerProfile>
-					</profile>
-				</computingResource>
-			</computingResource>	
-			<computingResource class="ComputingNode" count="2">
-				<resourceUnit class="memory">
-					<amount>12288</amount>
-				</resourceUnit>
-				<parameter name="category">
-					<value>C</value>
-				</parameter>
-				<profile>
-					<powerProfile>
-						<energyEstimationPlugin>
-							<name>example.energy.ComputingNodeEnergyEstimationPlugin</name>
-						</energyEstimationPlugin>	
-						<powerStates>
-							<powerState>
-								<name>ON</name>
-								<powerUsage>750</powerUsage>
-							</powerState>
-							<powerState>
-								<name>OFF</name>
-								<powerUsage>0</powerUsage>
-							</powerState>
-						</powerStates>				
-					</powerProfile>
-				</profile>
-
-				<computingResource class="Processor" count="4">
-					<parameter name="speed">
-						<value>1</value>
-					</parameter>
-					<profile>
-						<powerProfile>
-							<energyEstimationPlugin>
-								<name>example.energy.CPUEnergyEstimationPlugin</name>
-							</energyEstimationPlugin>		
-							<parameter name="pState">
-								<property name="name">
-									<value>P0</value>
-								</property>	
-								<property name="frequency">
-									<value unit="Hz">3000</value>
-								</property>		
-								<property name="voltage">
-									<value unit="V">0</value>
-								</property>
-								<property name="powerUsage">
-									<value unit="W">350</value>
-								</property>						
-							</parameter>
-							<parameter name="pState">
-								<property name="name">
-									<value>P1</value>
-								</property>	
-								<property name="frequency">
-									<value unit="H`">2660</value>
-								</property>		
-								<property name="voltage">
-									<value unit="V">0</value>
-								</property>
-								<property name="powerUsage">
-									<value unit="W">343</value>
-								</property>						
-							</parameter>	
-							<parameter name="pState">
-								<property name="name">
-									<value>P2</value>
-								</property>	
-								<property name="frequency">
-									<value unit="H`">2330</value>
-								</property>		
-								<property name="voltage">
-									<value unit="V">0</value>
-								</property>
-								<property name="powerUsage">
-									<value unit="W">337</value>
-								</property>						
-							</parameter>
-							<parameter name="pState">
-								<property name="name">
-									<value>P3</value>
-								</property>	
-								<property name="frequency">
-									<value unit="H`">2000</value>
-								</property>		
-								<property name="voltage">
-									<value unit="V">0</value>
-								</property>
-								<property name="powerUsage">
-									<value unit="W">330</value>
-								</property>						
-							</parameter>								
-						</powerProfile>
-					</profile>
-				</computingResource>
-			</computingResource>	
-			</computingResource>
-		</computingResource>
-		<scheduler class="Cluster" name="cluster1">
-			<schedulingPlugin>
-				<name>example.localplugin.FCFSRandomClusterLocalPlugin</name>
-				<!--  
-				<frequency>3600</frequency>
-				-->
-			</schedulingPlugin>		
-				<managedComputingResources include="false">
-					<resourceName>Rack_0</resourceName>
-				</managedComputingResources>
-		</scheduler>	
-	</resources>
-	
-	<!--  
-	<templates>
-		<computingResourceTemplate class="Processor" name="modelProcessorA">
-			<profile>
-				<powerProfile>
-					<energyEstimationPlugin>
-						<name>CPUEnergyEstimationPlugin</name>
-					</energyEstimationPlugin>
-					<parameter name="pState">
-						<property name="name">
-							<value>P0</value>
-						</property>	
-						<property name="frequency">
-							<value unit="Hz">3000</value>
-						</property>		
-						<property name="voltage">
-							<value unit="V">0</value>
-						</property>
-						<property name="powerUsage">
-							<value unit="W">350</value>
-						</property>						
-					</parameter>
-					<parameter name="pState">
-						<property name="name">
-							<value>P1</value>
-						</property>	
-						<property name="frequency">
-							<value unit="H`">2660</value>
-						</property>		
-						<property name="voltage">
-							<value unit="V">0</value>
-						</property>
-						<property name="powerUsage">
-							<value unit="W">343</value>
-						</property>						
-					</parameter>	
-					<parameter name="pState">
-						<property name="name">
-							<value>P2</value>
-						</property>	
-						<property name="frequency">
-							<value unit="H`">2330</value>
-						</property>		
-						<property name="voltage">
-							<value unit="V">0</value>
-						</property>
-						<property name="powerUsage">
-							<value unit="W">337</value>
-						</property>						
-					</parameter>
-					<parameter name="pState">
-						<property name="name">
-							<value>P3</value>
-						</property>	
-						<property name="frequency">
-							<value unit="H`">2000</value>
-						</property>		
-						<property name="voltage">
-							<value unit="V">0</value>
-						</property>
-						<property name="powerUsage">
-							<value unit="W">330</value>
-						</property>						
-					</parameter>							
-				</powerProfile>
-			</profile>
-		</computingResourceTemplate>
-	</templates>
-	-->
-</environment>
Index: DCWoRMS/branches/coolemall/simulator/schemas/resources/example/tomExp2.xml
===================================================================
--- DCWoRMS/branches/coolemall/simulator/schemas/resources/example/tomExp2.xml	(revision 604)
+++ 	(revision )
@@ -1,380 +1,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<environment xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
-	xsi:noNamespaceSchemaLocation="../DCWoRMSResSchema.xsd">
-	
-	<!-- Opis dla data center z uwzglednieniem aspektow energetycznych -->
-	<resources>
-		<computingResource class="DataCenter" name="compRes1">
-		<computingResource class="Rack" name="rack1">
-			<computingResource class="ComputingNode" count="2">
-				<resourceUnit class="memory">
-						<amount>12288</amount>
-				</resourceUnit>
-				<parameter name="category">
-						<value>A</value>
-				</parameter>
-				<profile>
-					<powerProfile>
-						<energyEstimationPlugin>
-							<name>example.energy.ComputingNodeEnergyEstimationPlugin</name>
-						</energyEstimationPlugin>	
-						<powerStates>
-							<powerState>
-								<name>ON</name>
-								<powerUsage>750</powerUsage>
-							</powerState>
-							<powerState>
-								<name>OFF</name>
-								<powerUsage>0</powerUsage>
-							</powerState>
-						</powerStates>				
-					</powerProfile>
-				</profile>
-
-				<computingResource class="Processor" count="4">
-					<parameter name="speed">
-						<value>1</value>
-					</parameter>
-					<profile>
-						<powerProfile>
-							<energyEstimationPlugin>
-								<name>example.energy.CPUEnergyEstimationPlugin</name>
-							</energyEstimationPlugin>		
-							<parameter name="pState">
-								<property name="name">
-									<value>P0</value>
-								</property>	
-								<property name="frequency">
-									<value unit="Hz">3000</value>
-								</property>		
-								<property name="voltage">
-									<value unit="V">0</value>
-								</property>
-								<property name="powerUsage">
-									<value unit="W">350</value>
-								</property>						
-							</parameter>
-							<parameter name="pState">
-								<property name="name">
-									<value>P1</value>
-								</property>	
-								<property name="frequency">
-									<value unit="H`">2660</value>
-								</property>		
-								<property name="voltage">
-									<value unit="V">0</value>
-								</property>
-								<property name="powerUsage">
-									<value unit="W">343</value>
-								</property>						
-							</parameter>	
-							<parameter name="pState">
-								<property name="name">
-									<value>P2</value>
-								</property>	
-								<property name="frequency">
-									<value unit="H`">2330</value>
-								</property>		
-								<property name="voltage">
-									<value unit="V">0</value>
-								</property>
-								<property name="powerUsage">
-									<value unit="W">337</value>
-								</property>						
-							</parameter>
-							<parameter name="pState">
-								<property name="name">
-									<value>P3</value>
-								</property>	
-								<property name="frequency">
-									<value unit="H`">2000</value>
-								</property>		
-								<property name="voltage">
-									<value unit="V">0</value>
-								</property>
-								<property name="powerUsage">
-									<value unit="W">330</value>
-								</property>						
-							</parameter>								
-						</powerProfile>
-					</profile>
-				</computingResource>
-			</computingResource>	
-			<computingResource class="ComputingNode" count="2">
-				<resourceUnit class="memory">
-						<amount>12288</amount>
-				</resourceUnit>
-				<parameter name="category">
-					<value>B</value>
-				</parameter>
-				<profile>
-					<powerProfile>
-						<energyEstimationPlugin>
-							<name>example.energy.ComputingNodeEnergyEstimationPlugin</name>
-						</energyEstimationPlugin>	
-						<powerStates>
-							<powerState>
-								<name>ON</name>
-								<powerUsage>750</powerUsage>
-							</powerState>
-							<powerState>
-								<name>OFF</name>
-								<powerUsage>0</powerUsage>
-							</powerState>
-						</powerStates>				
-					</powerProfile>
-				</profile>
-
-				<computingResource class="Processor" count="4">
-					<parameter name="speed">
-						<value>1</value>
-					</parameter>
-					<profile>
-						<powerProfile>
-							<energyEstimationPlugin>
-								<name>example.energy.CPUEnergyEstimationPlugin</name>
-							</energyEstimationPlugin>		
-							<parameter name="pState">
-								<property name="name">
-									<value>P0</value>
-								</property>	
-								<property name="frequency">
-									<value unit="Hz">3000</value>
-								</property>		
-								<property name="voltage">
-									<value unit="V">0</value>
-								</property>
-								<property name="powerUsage">
-									<value unit="W">350</value>
-								</property>						
-							</parameter>
-							<parameter name="pState">
-								<property name="name">
-									<value>P1</value>
-								</property>	
-								<property name="frequency">
-									<value unit="H`">2660</value>
-								</property>		
-								<property name="voltage">
-									<value unit="V">0</value>
-								</property>
-								<property name="powerUsage">
-									<value unit="W">343</value>
-								</property>						
-							</parameter>	
-							<parameter name="pState">
-								<property name="name">
-									<value>P2</value>
-								</property>	
-								<property name="frequency">
-									<value unit="H`">2330</value>
-								</property>		
-								<property name="voltage">
-									<value unit="V">0</value>
-								</property>
-								<property name="powerUsage">
-									<value unit="W">337</value>
-								</property>						
-							</parameter>
-							<parameter name="pState">
-								<property name="name">
-									<value>P3</value>
-								</property>	
-								<property name="frequency">
-									<value unit="H`">2000</value>
-								</property>		
-								<property name="voltage">
-									<value unit="V">0</value>
-								</property>
-								<property name="powerUsage">
-									<value unit="W">330</value>
-								</property>						
-							</parameter>								
-						</powerProfile>
-					</profile>
-				</computingResource>
-			</computingResource>	
-			<computingResource class="ComputingNode" count="2">
-				<resourceUnit class="memory">
-					<amount>12288</amount>
-				</resourceUnit>
-				<parameter name="category">
-					<value>C</value>
-				</parameter>
-				<profile>
-					<powerProfile>
-						<energyEstimationPlugin>
-							<name>example.energy.ComputingNodeEnergyEstimationPlugin</name>
-						</energyEstimationPlugin>	
-						<powerStates>
-							<powerState>
-								<name>ON</name>
-								<powerUsage>750</powerUsage>
-							</powerState>
-							<powerState>
-								<name>OFF</name>
-								<powerUsage>0</powerUsage>
-							</powerState>
-						</powerStates>				
-					</powerProfile>
-				</profile>
-
-				<computingResource class="Processor" count="4">
-					<parameter name="speed">
-						<value>1</value>
-					</parameter>
-					<profile>
-						<powerProfile>
-							<energyEstimationPlugin>
-								<name>example.energy.CPUEnergyEstimationPlugin</name>
-							</energyEstimationPlugin>		
-							<parameter name="pState">
-								<property name="name">
-									<value>P0</value>
-								</property>	
-								<property name="frequency">
-									<value unit="Hz">3000</value>
-								</property>		
-								<property name="voltage">
-									<value unit="V">0</value>
-								</property>
-								<property name="powerUsage">
-									<value unit="W">350</value>
-								</property>						
-							</parameter>
-							<parameter name="pState">
-								<property name="name">
-									<value>P1</value>
-								</property>	
-								<property name="frequency">
-									<value unit="H`">2660</value>
-								</property>		
-								<property name="voltage">
-									<value unit="V">0</value>
-								</property>
-								<property name="powerUsage">
-									<value unit="W">343</value>
-								</property>						
-							</parameter>	
-							<parameter name="pState">
-								<property name="name">
-									<value>P2</value>
-								</property>	
-								<property name="frequency">
-									<value unit="H`">2330</value>
-								</property>		
-								<property name="voltage">
-									<value unit="V">0</value>
-								</property>
-								<property name="powerUsage">
-									<value unit="W">337</value>
-								</property>						
-							</parameter>
-							<parameter name="pState">
-								<property name="name">
-									<value>P3</value>
-								</property>	
-								<property name="frequency">
-									<value unit="H`">2000</value>
-								</property>		
-								<property name="voltage">
-									<value unit="V">0</value>
-								</property>
-								<property name="powerUsage">
-									<value unit="W">330</value>
-								</property>						
-							</parameter>								
-						</powerProfile>
-					</profile>
-				</computingResource>
-			</computingResource>	
-		</computingResource>
-		</computingResource>
-		<scheduler class="Cluster" name="rackCluster1">
-			<schedulingPlugin>
-				<name>example.localplugin.RackLocalPlugin</name>
-			</schedulingPlugin>		
-			<managedComputingResources include="false">
-				<resourceName>compRes1</resourceName>
-			</managedComputingResources>
-			<scheduler class="Cluster" name="cluster1">
-				<schedulingPlugin>
-					<name>example.localplugin.FCFSRandomClusterLocalPlugin</name>
-				</schedulingPlugin>		
-				<managedComputingResources include="false">
-					<resourceName>rack1</resourceName>
-				</managedComputingResources>
-			</scheduler>	
-		</scheduler>	
-	</resources>
-	
-	<!--  
-	<templates>
-		<computingResourceTemplate class="Processor" name="modelProcessorA">
-			<profile>
-				<powerProfile>
-					<energyEstimationPlugin>
-						<name>CPUEnergyEstimationPlugin</name>
-					</energyEstimationPlugin>
-					<parameter name="pState">
-						<property name="name">
-							<value>P0</value>
-						</property>	
-						<property name="frequency">
-							<value unit="Hz">3000</value>
-						</property>		
-						<property name="voltage">
-							<value unit="V">0</value>
-						</property>
-						<property name="powerUsage">
-							<value unit="W">350</value>
-						</property>						
-					</parameter>
-					<parameter name="pState">
-						<property name="name">
-							<value>P1</value>
-						</property>	
-						<property name="frequency">
-							<value unit="H`">2660</value>
-						</property>		
-						<property name="voltage">
-							<value unit="V">0</value>
-						</property>
-						<property name="powerUsage">
-							<value unit="W">343</value>
-						</property>						
-					</parameter>	
-					<parameter name="pState">
-						<property name="name">
-							<value>P2</value>
-						</property>	
-						<property name="frequency">
-							<value unit="H`">2330</value>
-						</property>		
-						<property name="voltage">
-							<value unit="V">0</value>
-						</property>
-						<property name="powerUsage">
-							<value unit="W">337</value>
-						</property>						
-					</parameter>
-					<parameter name="pState">
-						<property name="name">
-							<value>P3</value>
-						</property>	
-						<property name="frequency">
-							<value unit="H`">2000</value>
-						</property>		
-						<property name="voltage">
-							<value unit="V">0</value>
-						</property>
-						<property name="powerUsage">
-							<value unit="W">330</value>
-						</property>						
-					</parameter>							
-				</powerProfile>
-			</profile>
-		</computingResourceTemplate>
-	</templates>
-	-->
-</environment>
Index: DCWoRMS/branches/coolemall/simulator/schemas/resources/example/tomExp3.xml
===================================================================
--- DCWoRMS/branches/coolemall/simulator/schemas/resources/example/tomExp3.xml	(revision 604)
+++ 	(revision )
@@ -1,66 +1,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<environment xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
-	xsi:noNamespaceSchemaLocation="../DCWoRMSResSchema.xsd">
-	
-	<!-- Opis dla data center z uwzglednieniem aspektow energetycznych -->
-	<resources>
-		<computingResource class="DataCenter" name="compRes1">
-			<resourceUnit class="krasnoludek">
-				<amount>7</amount>
-			</resourceUnit>
-			<computingResource class="Rack">
-						<resourceUnit class="storage">
-						<amount>1000000</amount>
-				</resourceUnit>
-			<computingResource class="ComputingNode">
-				<resourceUnit class="memory">
-						<amount>12288</amount>
-				</resourceUnit>
-				<resourceUnit class="cpu">
-					<amount>12</amount>
-				</resourceUnit>
-				<parameter name="category">
-						<value>A</value>
-				</parameter>
-				<profile>
-					<powerProfile>
-						<energyEstimationPlugin>
-							<name>example.energy.ComputingNodeEnergyEstimationPlugin</name>
-						</energyEstimationPlugin>	
-						<powerStates>
-							<powerState>
-								<name>ON</name>
-								<powerUsage>750</powerUsage>
-							</powerState>
-							<powerState>
-								<name>OFF</name>
-								<powerUsage>0</powerUsage>
-							</powerState>
-						</powerStates>				
-					</powerProfile>
-				</profile>
-			</computingResource>	
-
-			</computingResource>
-		</computingResource>
-		<scheduler class="Cluster" name="cluster1">
-			<schedulingPlugin>
-				<name>example.localplugin.RackLocalPlugin</name>
-
-			</schedulingPlugin>		
-				<managedComputingResources include="false">
-					<resourceName>Rack_0</resourceName>
-			</managedComputingResources>
-			<scheduler class="Cluster" name="clusterNode1">
-				<schedulingPlugin>
-					<name>example.localplugin.FCFSRandomClusterLocalPlugin</name>
-	
-				</schedulingPlugin>		
-				<managedComputingResources include="false">
-					<resourceName>ComputingNode_0</resourceName>
-				</managedComputingResources>
-		</scheduler>	
-		</scheduler>	
-	</resources>
-
-</environment>