Index: /DCWoRMS/branches/coolemall/src/example/energy/ProcessorEnergyEstimationPlugin.java
===================================================================
--- /DCWoRMS/branches/coolemall/src/example/energy/ProcessorEnergyEstimationPlugin.java	(revision 901)
+++ /DCWoRMS/branches/coolemall/src/example/energy/ProcessorEnergyEstimationPlugin.java	(revision 901)
@@ -0,0 +1,46 @@
+package example.energy;
+
+import schedframe.resources.ResourceStatus;
+import schedframe.resources.computing.ComputingResource;
+import schedframe.resources.computing.Processor;
+import schedframe.resources.computing.profiles.energy.EnergyEvent;
+import schedframe.resources.computing.profiles.energy.power.StandardPowerStateName;
+import schedframe.scheduling.manager.tasks.JobRegistry;
+
+public class ProcessorEnergyEstimationPlugin extends BaseEnergyEstimationPlugin  {
+
+	public double estimatePowerConsumption(EnergyEvent event, JobRegistry jobRegistry,
+			ComputingResource resource) {
+		double powerConsumption;
+		Processor cpu = (Processor)resource;
+		if(resource.getPowerInterface().getPowerState().equals(StandardPowerStateName.OFF))
+			powerConsumption = 0;
+		else {
+			if(resource.getStatus() == ResourceStatus.BUSY){
+				try {
+
+					powerConsumption = cpu.getPowerInterface().getPowerConsumption(cpu.getPowerInterface().getPState());
+				} catch (NoSuchFieldException e) {
+					try {
+						powerConsumption = cpu.getPowerInterface().getPowerConsumption(StandardPowerStateName.ON);
+					} catch (NoSuchFieldException e1) {
+						powerConsumption = 10;
+					}
+				}
+			} else{
+				try {
+					powerConsumption = cpu.getPowerInterface().getPowerConsumption(cpu.getPowerInterface().getPState());
+				} catch (NoSuchFieldException e) {
+					try {
+						powerConsumption = cpu.getPowerInterface().getPowerConsumption(StandardPowerStateName.ON);
+					} catch (NoSuchFieldException e1) {
+						powerConsumption = 0;
+					}
+				}
+			}
+			
+		}
+		return powerConsumption;
+	}
+
+}
Index: WoRMS/branches/coolemall/src/example/energy/CPUEnergyEstimationPlugin.java
===================================================================
--- /DCWoRMS/branches/coolemall/src/example/energy/CPUEnergyEstimationPlugin.java	(revision 883)
+++ 	(revision )
@@ -1,46 +1,0 @@
-package example.energy;
-
-import schedframe.resources.ResourceStatus;
-import schedframe.resources.computing.ComputingResource;
-import schedframe.resources.computing.Processor;
-import schedframe.resources.computing.profiles.energy.EnergyEvent;
-import schedframe.resources.computing.profiles.energy.power.StandardPowerStateName;
-import schedframe.scheduling.manager.tasks.JobRegistry;
-
-public class CPUEnergyEstimationPlugin extends BaseEnergyEstimationPlugin  {
-
-	public double estimatePowerConsumption(EnergyEvent event, JobRegistry jobRegistry,
-			ComputingResource resource) {
-		double powerConsumption;
-		Processor cpu = (Processor)resource;
-		if(resource.getPowerInterface().getPowerState().equals(StandardPowerStateName.OFF))
-			powerConsumption = 0;
-		else {
-			if(resource.getStatus() == ResourceStatus.BUSY){
-				try {
-
-					powerConsumption = cpu.getPowerInterface().getPowerConsumption(cpu.getPowerInterface().getPState());
-				} catch (NoSuchFieldException e) {
-					try {
-						powerConsumption = cpu.getPowerInterface().getPowerConsumption(StandardPowerStateName.ON);
-					} catch (NoSuchFieldException e1) {
-						powerConsumption = 10;
-					}
-				}
-			} else{
-				try {
-					powerConsumption = cpu.getPowerInterface().getPowerConsumption(cpu.getPowerInterface().getPState());
-				} catch (NoSuchFieldException e) {
-					try {
-						powerConsumption = cpu.getPowerInterface().getPowerConsumption(StandardPowerStateName.ON);
-					} catch (NoSuchFieldException e1) {
-						powerConsumption = 0;
-					}
-				}
-			}
-			
-		}
-		return powerConsumption;
-	}
-
-}
Index: /DCWoRMS/branches/coolemall/src/test/ariel/resources.xml
===================================================================
--- /DCWoRMS/branches/coolemall/src/test/ariel/resources.xml	(revision 528)
+++ /DCWoRMS/branches/coolemall/src/test/ariel/resources.xml	(revision 901)
@@ -13,5 +13,5 @@
 					<powerProfile>
 						<energyEstimationPlugin>
-							<name>example.energy.CPUEnergyEstimationPlugin</name>
+							<name>example.energy.ProcessorEnergyEstimationPlugin</name>
 						</energyEstimationPlugin>		
 						<parameter name="pState">